<div class="parameterSingleGroupContainer">
  <!-- Title -->
  <div class="group_title_wrapper">
    <h2>Test</h2>
    <mat-divider></mat-divider>
  </div>

  <div class="parameterSingleGroupContentContainer">
    <div class="parameterContainer60">
      <div class="parameterWrapper">
        <!-- Name -->
        <div class="option_wrapper">
          <div class="option_title">Name</div>
          <div class="option_content_wrapper">
            <mat-form-field class="textInputFormField">
              <input matInput />
            </mat-form-field>
          </div>
        </div>

        <!-- Wake Model -->
        <div class="option_wrapper">
          <div class="option_title">Wake Model</div>
          <div class="option_content_wrapper">
            <mat-radio-group color="primary" class="option_radio_group">
              <mat-radio-button value="1">None</mat-radio-button>
              <mat-radio-button value="2">Park</mat-radio-button>
              <mat-radio-button value="3">Modified Park</mat-radio-button>
            </mat-radio-group>
          </div>
        </div>

        <!-- Wake Model -->
        <div class="option_wrapper">
          <div class="option_title">Wake Model</div>
          <div class="option_content_wrapper">
            <mat-radio-group color="primary" class="option_radio_group">
              <mat-radio-button value="1">None</mat-radio-button>
              <mat-radio-button value="2">Park</mat-radio-button>
              <mat-radio-button value="3">Modified Park</mat-radio-button>
            </mat-radio-group>
          </div>
        </div>

        <!-- Wind Data Format -->
        <div class="option_wrapper">
          <div class="option_title">Wind Data Format</div>
          <div class="option_content_wrapper">
            <mat-form-field class="option_select_formfield">
              <mat-select
                #matSelect_simulation_windDataFormat
                disableOptionCentering
              >
                <mat-option value="1">Weibull</mat-option>
                <mat-option value="2">Bins</mat-option>
                <mat-option value="3">Raw</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <!-- Wind Data Format -->
        <div class="option_wrapper">
          <div class="option_title">Wind Data Format</div>
          <div class="option_content_wrapper">
            <mat-form-field class="option_select_formfield">
              <mat-select
                #matSelect_simulation_windDataFormat
                disableOptionCentering
              >
                <mat-option value="1">Weibull</mat-option>
                <mat-option value="2">Bins</mat-option>
                <mat-option value="3">Raw</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <!-- Turbine Height Wind Speed Adjustment -->
        <div class="option_wrapper">
          <div class="option_title">
            Turbine Height Wind Speed Adjustment
            <div class="option_title_checkbox">
              <mat-checkbox color="primary"></mat-checkbox>
            </div>
          </div>
          <div class="option_content_wrapper"></div>
        </div>

        <!-- Turbine Height Wind Speed Adjustment -->
        <div class="option_wrapper">
          <div class="option_title">
            Turbine Height Wind Speed Adjustment
            <div class="option_title_checkbox">
              <mat-checkbox color="primary"></mat-checkbox>
            </div>
          </div>
          <div class="option_content_wrapper"></div>
        </div>

        <!-- Num Wind Speeds -->
        <div class="option_wrapper">
          <div class="option_title">Number Wind Speeds</div>
          <div class="option_content_wrapper">
            <mat-form-field class="sliderInputFormField">
              <input
                matInput
                value="{{ matSlider_simulation_numWindSpeeds.value }}"
              />
            </mat-form-field>

            <div class="option_slider_unit"></div>

            <div class="option_slider_container">
              <mat-slider
                #matSlider_simulation_numWindSpeeds
                class="option_slider"
                color="primary"
                min="5"
                max="80"
                step="1"
              >
              </mat-slider>
              <div class="option_slider_minmax">
                <span>{{ matSlider_simulation_numWindSpeeds.min }}</span>
                <span>{{ matSlider_simulation_numWindSpeeds.max }}</span>
              </div>
            </div>
          </div>
        </div>

        <!-- Weibull -->
        <div class="option_wrapper">
          <div class="option_title">Weibull</div>
          <div class="option_content_wrapper">
            <table class="parameterTable tableBordered">
              <tr>
                <th>Timeslot</th>
                <th>Direction</th>
                <th>Direction Probability</th>
                <th>Scale</th>
                <th>Shape</th>
              </tr>
              <tr *ngFor="let key of [1, 2, 3, 4, 5]">
                <td>
                  {{ key }}
                </td>
                <td>
                  <span
                    contenteditable="true"
                    (keyup)="changeValue(id, 'age', $event)"
                    (blur)="updateList(id, 'age', $event)"
                    >0.0</span
                  >
                </td>
                <td>
                  <span
                    contenteditable="true"
                    (keyup)="changeValue(id, 'companyName', $event)"
                    (blur)="updateList(id, 'companyName', $event)"
                    >0.002</span
                  >
                </td>
                <td>
                  <span
                    contenteditable="true"
                    (keyup)="changeValue(id, 'country', $event)"
                    (blur)="updateList(id, 'country', $event)"
                    >10.7</span
                  >
                </td>
                <td>
                  <span
                    contenteditable="true"
                    (keyup)="changeValue(id, 'city', $event)"
                    (blur)="updateList(id, 'city', $event)"
                    >2.4</span
                  >
                </td>
              </tr>
            </table>
          </div>
        </div>

        <div class="options_footer">
          <button mat-raised-button color="primary">Save</button>
        </div>
      </div>
    </div>

    <div class="previewContainer">
      <div class="previewWrapper">
        <div style="height: 700px">
          <!-- <span style="position: relative; top: 47%;">Preview Visualization</span> -->
          <!-- <energy-platform-three-cube></energy-platform-three-cube> -->
        </div>
      </div>
    </div>
  </div>
</div>
